# studio::MetaDataTreeStore::Model Class Reference

`#include <metadatatreestore.h>`

List of all members.

## Public Member Functions

| Model ()

## Public Attributes

Gtk::TreeModelColumn < Glib::ustring > | key
Gtk::TreeModelColumn < Glib::ustring > | data

## Constructor & Destructor Documentation

studio::MetaDataTreeStore::Model::Model | ( |  | ) | `[inline]`

References data, and key.

## Member Data Documentation

Gtk::TreeModelColumn<Glib::ustring> studio::MetaDataTreeStore::Model::key

Referenced by studio::Dock_MetaData::Dock_MetaData(), studio::MetaDataTreeStore::get_value_vfunc(), Model(), studio::MetaDataTreeStore::rebuild(), and studio::MetaDataTreeStore::set_value_impl().

Gtk::TreeModelColumn<Glib::ustring> studio::MetaDataTreeStore::Model::data

Referenced by studio::Dock_MetaData::Dock_MetaData(), studio::MetaDataTreeStore::get_value_vfunc(), Model(), and studio::MetaDataTreeStore::set_value_impl().

The documentation for this class was generated from the following file:

- metadatatreestore.h